Skip to main content

JamesEdition Leads Pull API

Version 1.0 Date: 11 of March, 2024

The JamesEdition Leads API provides a solution for retrieving information about leads generated on the JamesEdition platform. This API allows you to seamlessly integrate lead data into your applications.

To start using the JamesEdition Leads API and integrate lead data into your applications, follow these steps:

For single offices

  1. Log in to your JamesEdition Seller Dashboard.
  2. Navigate to the Company section within the dashboard.
  3. Copy the provided API token.

For groups

Contact Customer Support.

Customer Support will guide you through the process of obtaining the API token tailored to your group and provide any additional assistance needed.

Keeping your token safe

Keep the API token confidential. Anyone with the token can read your leads.

Use the optional parameters below to filter requests by date range.

Retrieve the leads list

HTTP GET

https://jamesedition.com/api/leads?token=<TOKEN>&timestamp_from=<UNIX_TIMESTAMP>&timestamp_to=<UNIX_TIMESTAMP>

Query parameters

Parameter nameDescription
tokenRequiredAccess token.
timestamp_fromOptionalUnix time, UTC time zone. All leads created after timestamp_from will be shown. If timestamp_from is not present then leads created starting from 3 months ago will be shown.
timestamp_toOptionalUnix time, UTC time zone. All leads created before timestamp_to will be shown.

Difference between timestamp_from and timestamp_to should not exceed 3 months.

Response body

The response is in JSON format, containing the following key elements:

{
"leads": [<ARRAY OF LEADS>],
"total_items": <NUMBER>,
"timestamp_to": <UNIX_TIMESTAMP>,
"timestamp_from": <UNIX_TIMESTAMP>
}

Response example

{
"leads": [
{
"id": 99999,
"lastname": "Doe",
"firstname": "John",
"email": "email@example.com",
"phone": "+493023125000",
"message": "I'm interested in Private Island. Please contact me with more information about the property.",
"listing": {"reference": "REF1", "mls_number": "num", "headline": "Private Island"},
"office": {"reference": "REF2", "name": "Office name", "email": "info@example.com"},
"agent": {"reference": "REF3", "name": "Agent Name", "email": "info@example.com"},
"created": "2024-01-31T14:16:53Z"
}
],
"total_items": 1,
"timestamp_to": 1706710859,
"timestamp_from": 1704032459
}

Contact us